@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$bulkedit__attribute-row-inner--spacing: $container-spacing-default__third;
$bulkedit__attribute-name--padding-right: $bulkedit__attribute-row-inner--spacing;
$bulkedit__attribute-name--max-width: 130px;
$_bulkedit__attribute-name--min-height: $editor-defaults__inline-box--height;
$bulkedit__attribute-clear--width: 120px;
$bulkedit__attribute-clear--padding-left: $bulkedit__attribute-row-inner--spacing;

$bulkedit__attribute-cnt--margin: 0 -20px;
$bulkedit__attribute-cnt--padding: 10px 20px 30px;

$bulkedit__validate-all-attributes--padding: 10px 20px;
$bulkedit__validate-all-attributes--margin: 0 -20px;
$bulkedit__validate-all-attributes--border-top: $boxes--border__thin solid $grey__default;

$bulkedit__validation-localized-caption--right: 20px;
$bulkedit__validation-localized-caption--margin-right: 2px;

$bulkedit__attribute-icon-panel--spacing: 27px;
$bulkedit__attribute-row--padding-top: $bulkedit__attribute-icon-panel--spacing;
$bulkedit__attribute-icon-panel--margin-top: -$bulkedit__attribute-icon-panel--spacing;

$bulkedit__attribute-clear-switch-checked--bg-color: $validation__error--color;
$bulkedit__attribute-clear-switch-checked--border-color: $bulkedit__attribute-clear-switch-checked--bg-color;
$bulkedit__attribute-value-container--padding-bottom: $container-spacing-default__half;

$bulkedit__bp-m--min-height: 720px;
$bulkedit__content--min-height: 250px; 
$bulkedit__content--max-height: 420px;
$bulkedit__content-bp-m--outer-space: 300px;
$bulkedit__content-bp-m--max-height: calc(100vh - #{$bulkedit__content-bp-m--outer-space}); //same as on configurableFlow
$bulkedit__validate-all-attributes-bp-m--min-height: 60px;

$bulkedit__content-attributes-bp-m--max-height: calc(100vh - #{$bulkedit__content-bp-m--outer-space + $bulkedit__validate-all-attributes-bp-m--min-height});
$bulkedit__content-attributes--min-height: $bulkedit__content--min-height - $bulkedit__validate-all-attributes-bp-m--min-height;
$bulkedit__content-attributes--max-height: $bulkedit__content--max-height - $bulkedit__validate-all-attributes-bp-m--min-height;

$bulkedit__notifier-container--bg-color: rgba($black__blueish--200, 0.85);
$bulkedit__notifier-container--animation: prompt-animation 0.2s linear;
$bulkedit__notifier-label--margin-top: $container-spacing-default__third * -1;
$bulkedit__notifier-label--color: $white;
$bulkedit__notifier-label--font-weight: $font-weight-bold;